<?php


namespace App\ViewModels\Agendamento\AgendamentoUpdateViewModel;


use App\Utils\Entity;

class AgendamentoUpdateViewModel extends Entity
{
    protected ?int $id_agenda;
    protected ?int $id_cliente;
    protected ?int $id_paciente;
    protected ?int $id_procedimento;
    protected ?int $atrasado;

    public static function builder() : AgendamentoUpdateViewModelBuilder
    {
        return new AgendamentoUpdateViewModelBuilder;
    }

    public function getIdAgenda(): ?int
    {
        return $this->id_agenda;
    }

    public function getIdCliente(): ?int
    {
        return $this->id_cliente;
    }

    public function getIdPaciente(): ?int
    {
        return $this->id_paciente;
    }

    public function getIdProcedimento(): ?int
    {
        return $this->id_procedimento;
    }

    public function getAtrasado(): ?int
    {
        return $this->atrasado;
    }

    public function setIdAgenda(?int $id_agenda): void
    {
        $this->id_agenda = $id_agenda;
    }

    public function setIdCliente(?int $id_cliente): void
    {
        $this->id_cliente = $id_cliente;
    }

    public function setIdPaciente(?int $id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function setIdProcedimento(?int $id_procedimento): void
    {
        $this->id_procedimento = $id_procedimento;
    }

    public function setAtrasado(?int $atrasado): void
    {
        $this->atrasado = $atrasado;
    }
}